<?
include_once("./_common.php");

$me_id = mysql_real_escape_string($me_id); 

if (!$member[mb_id]) 
    alert_close("회원만 이용하실 수 있습니다.");

if (!$member[mb_open] && $is_admin != "super" && $member[mb_id] != $mb_id) 
    alert_close("자신의 정보를 공개하지 않으면 다른분에게 쪽지를 보낼 수 없습니다.\\n\\n정보공개 설정은 회원정보수정에서 하실 수 있습니다.");

$content = "";
// 탈퇴한 회원에게 쪽지 보낼 수 없음
if ($me_recv_mb_id) 
{
    $mb = get_member($me_recv_mb_id);
    if (!$mb[mb_id]) 
        alert_close("회원정보가 존재하지 않습니다.\\n\\n탈퇴하였을 수 있습니다.");

    if (!$mb[mb_open] && $is_admin != "super")
        alert_close("정보공개를 하지 않았습니다.");

    // 4.00.15
    $row = sql_fetch(" select me_memo from $g4[memo_table] where me_id = '$me_id' and (me_recv_mb_id = '$member[mb_id]' or me_send_mb_id = '$member[mb_id]') ");
    if ($row[me_memo]) 
    {
        $content = "\n\n\n>"
                 . "\n>"
                 . "\n> " . preg_replace("/\n/", "\n> ", get_text($row[me_memo], 0)) 
                 . "\n>"
                 . "\n";

    }
}

//-- 블랙리스트. 글쓰기 서비스 이용 가능한가?
if($zm_member[service_end]) $str_end	= $zm_member[service_end] . "까지";
if($zm_member[service_memo]) alert("회원님은 신고가 누적 돼 $str_end 쪽지 보내기 서비스를 이용 할 수 없습니다.", "$g4[bbs_path]/memo.php");

if(isset($zm_config)) {
	//-- 최근 쪽지 보낸 날짜가 오늘 날짜면 발송한 쪽지 개수 카운트
	if($zm_member[memosend_date] != date("Y-m-d", $g4[server_time])) {
		mysql_query("update $zmb[table_member] set db_memosend_date='".date("Y-m-d", $g4[server_time])."', db_memo_today='0' where db_id='$member[mb_id]'");
		$zm_member[memo_today]	= 0;
	}

	//-- 최근 보낸 아이디
	$a_latesend		= explode(",", $zm_member[memo_latesend]);
	for($i = 0; $i < count($a_latesend); $i++) {
		$mb		= get_member("$a_latesend[$i]");
		if($a_latesend[$i]) $write_sendid	.= "<span style='padding:0 10px 0 0;'><a href='#' onClick='addID(\"$a_latesend[$i]\")' style='text-decoration:none;'>$mb[mb_nick]($a_latesend[$i])</a></span> ";
	}
	if(!strlen($write_sendid)) $write_sendid = "(최근 쪽지를 보낸 회원이 없습 니다.)";

	//-- 친구 목록
	$rsfnd	= sql_query("select db_id, db_friend_id from $zmb[table_friend] where db_id='$member[mb_id]' and db_state='2'");
	while($rdfnd = sql_fetch_array($rsfnd)) {
		$mb		= get_member("$rdfnd[db_friend_id]");
		if($rdfnd[db_friend_id]) $write_friend	.= "<span style='padding:0 10px 0 0;'><a href='#' onClick='addID(\"$rdfnd[db_friend_id]\")' style='text-decoration:none;'>$mb[mb_nick]($rdfnd[db_friend_id])</a></span> ";
	}
	if(!strlen($write_friend)) $write_friend = "(등록 된 친구가 없습니다.)";
}

$g4[title] = "쪽지 보내기";
include_once("$g4[path]/head.sub.php");

include_once("$member_skin_path/memo_form.skin.php");
?>
<script language="javascript">
function addID(id) {
	var	aid		= ","+id;
	var sid		= $("#me_recv_mb_id").val();
	
	if(sid.indexOf(aid)<0)	$("#me_recv_mb_id").val(sid+aid+" ");
}
</script>
<?
include_once("$g4[path]/tail.sub.php");
?>